<Type Name="HttpRemotingHandlerFactory" FullName="System.Runtime.Remoting.Channels.Http.HttpRemotingHandlerFactory">
  <TypeSignature Language="C#" Value="public class HttpRemotingHandlerFactory : IHttpHandlerFactory" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Runtime.Remoting</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Web.IHttpHandlerFactory</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="ReleaseHandler">
      <MemberSignature Language="C#" Value="public virtual void ReleaseHandler (Web.IHttpHandler handler);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="handler" Type="System.Web.IHttpHandler" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="handler">To be added: an object of type 'Web.IHttpHandler'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetHandler">
      <MemberSignature Language="C#" Value="public virtual Web.IHttpHandler GetHandler (Web.HttpContext context, string verb, string url, string filePath);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.IHttpHandler</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="context" Type="System.Web.HttpContext" />
		<Parameter Name="verb" Type="System.String" />
		<Parameter Name="url" Type="System.String" />
		<Parameter Name="filePath" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="context">To be added: an object of type 'Web.HttpContext'</param>
        <param name="verb">To be added: an object of type 'string'</param>
        <param name="url">To be added: an object of type 'string'</param>
        <param name="filePath">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Web.IHttpHandler'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public HttpRemotingHandlerFactory ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'HttpRemotingHandlerFactory'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
